CompositePart
Date: 2017-05-25

org.apache.fontbox.afm

## Class CompositePart

- java.lang.Object
- - org.apache.fontbox.afm.CompositePart

-     public class CompositePart
      extends java.lang.Object

  This class represents a part of composite character data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositePart()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Getter for property name.
    `int` | `getXDisplacement()` Getter for property xDisplacement.
    `int` | `getYDisplacement()` Getter for property yDisplacement.
    `void` | `setName(java.lang.String nameValue)` Setter for property name.
    `void` | `setXDisplacement(int xDisp)` Setter for property xDisplacement.
    `void` | `setYDisplacement(int yDisp)` Setter for property yDisplacement.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositePart

          public CompositePart()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Getter for property name.
      Returns:
        Value of property name.

    - #### setName

          public void setName(java.lang.String nameValue)

      Setter for property name.
      Parameters:
        `nameValue` - New value of property name.

    - #### getXDisplacement

          public int getXDisplacement()

      Getter for property xDisplacement.
      Returns:
        Value of property xDisplacement.

    - #### setXDisplacement

          public void setXDisplacement(int xDisp)

      Setter for property xDisplacement.
      Parameters:
        `xDisp` - New value of property xDisplacement.

    - #### getYDisplacement

          public int getYDisplacement()

      Getter for property yDisplacement.
      Returns:
        Value of property yDisplacement.

    - #### setYDisplacement

          public void setYDisplacement(int yDisp)

      Setter for property yDisplacement.
      Parameters:
        `yDisp` - New value of property yDisplacement.